#include "DDE.h"
#include "LF2DataChangerMain.h"

DDEClient::DDEClient(){}
DDEClient::~DDEClient(){}

wxConnectionBase *DDEClient::OnAcceptConnection(){
    return new DDEConnection(NULL);
}

DDEServer::DDEServer(wxFrame *Frame){
    this->Frame = Frame;
}
DDEServer::~DDEServer(){}

wxConnectionBase *DDEServer::OnAcceptConnection(const wxString &Topic){
    return new DDEConnection(Frame);
}

DDEConnection::DDEConnection(wxFrame *Frame){
    this->Frame = Frame;
}
DDEConnection::~DDEConnection(){}

bool DDEConnection::OnExecute(const wxString &Topic,wxChar *Data,int Size,wxIPCFormat Format){
    if(Topic != _T("LF2DCDDEOpen")) return false;

    wxString File = Data;

    LF2DataChangerFrame *LF2DCFrame = static_cast<LF2DataChangerFrame*>(Frame);

    LF2DCFrame->LoadFile(File);

    return false;
}

bool DDEConnection::OnDisconnect(){
    return true;
}
