/***************************************************************
   LF2 Data Changer is a program that a allows you to edit, LF2 data files.
    Copyright (C) 2012  Someone else

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

My email address is <adrianbibbywalther@gmail.com>.
If you need any help, contact me there, or on the LFE Forums.
 **************************************************************/

#ifndef WRITETODIALOG_H
#define WRITETODIALOG_H

//(*Headers(WriteToDialog)
#include <wx/sizer.h>
#include <wx/stattext.h>
#include <wx/choice.h>
#include <wx/dialog.h>
//*)

#include <vector>

#include "EditorPanel.h"

struct IdStruct {
    int Id;
    int Type;
    char* Addr;
};

class WriteToDialog:public wxDialog {
	public:
		WriteToDialog(wxWindow* parent,wxWindowID id=wxID_ANY);
		virtual ~WriteToDialog();

		//(*Declarations(WriteToDialog)
		wxChoice* ChooseId;
		wxStaticText* ChooseIdText;
		//*)

		int Pid;
		int Id;
		int Type;
		char *Addr;

		bool Prepare(EditorPanel *Panel);

	protected:
		//(*Identifiers(WriteToDialog)
		static const long ID_CHOOSEIDTEXT;
		static const long ID_CHOOSEID;
		//*)

	private:
		//(*Handlers(WriteToDialog)
		void OnChoice(wxCommandEvent& event);
		//*)

		std::vector<IdStruct> Ids;

		DECLARE_EVENT_TABLE()
};

#endif
