#ifndef _DDE_H_
    #define _DDE_H_

#include <wx/wx.h>
#include <wx/ipc.h>

#include <iostream>
using namespace std;

class DDEClient:public wxClient {
    public:
        DDEClient();
        ~DDEClient();

        wxConnectionBase *OnAcceptConnection();
};

class DDEServer:public wxServer {
    public:
        DDEServer(wxFrame *Frame);
        ~DDEServer();

        wxConnectionBase *OnAcceptConnection(const wxString &Topic);
    private:
        wxFrame *Frame;
};

class DDEConnection:public wxConnection {
    public:
        DDEConnection(wxFrame *Frame);
        ~DDEConnection();

        bool OnExecute(const wxString &Topic,wxChar *Data,int Size,wxIPCFormat Format);
        bool OnDisconnect();

    private:
        wxFrame *Frame;
};

#endif // _DDE_H_
