/***************************************************************
   LF2 Data Changer is a program that a allows you to edit, LF2 data files.
    Copyright (C) 2012  Someone else

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

My email address is <adrianbibbywalther@gmail.com>.
If you need any help, contact me there, or on the LFE Forums.
 **************************************************************/

#include "TransDialog.h"

//(*InternalHeaders(TransDialog)
#include <wx/intl.h>
#include <wx/string.h>
//*)

//(*IdInit(TransDialog)
//*)

BEGIN_EVENT_TABLE(TransDialog,wxDialog)
	//(*EventTable(TransDialog)
	//*)
END_EVENT_TABLE()

TransDialog::TransDialog(wxWindow* parent,wxWindowID id)
{
	//(*Initialize(TransDialog)
	Create(parent, id, wxEmptyString, wxDefaultPosition, wxDefaultSize, wxSTAY_ON_TOP|wxCAPTION, _T("id"));

	Connect(wxID_ANY,wxEVT_CLOSE_WINDOW,(wxObjectEventFunction)&TransDialog::OnClose);
	//*)

    HWND Window = (HWND)GetHWND();

    SetWindowLong(Window,GWL_EXSTYLE,GetWindowLong(Window,GWL_EXSTYLE)|WS_EX_TOOLWINDOW);

    Dialog = new wxDialog((wxWindow*)this,(wxWindowID)wxID_ANY,wxString(wxEmptyString),wxDefaultPosition,wxDefaultSize,wxSTAY_ON_TOP|wxCAPTION);

	Dialog->Connect(wxID_ANY,wxEVT_CLOSE_WINDOW,(wxObjectEventFunction)&TransDialog::OnClose);

	Dialog->SetBackgroundColour(wxColour(0,0,0));

    Window = (HWND)Dialog->GetHWND();

    SetWindowLong(Window,GWL_EXSTYLE,GetWindowLong(Window,GWL_EXSTYLE)|WS_EX_LAYERED|WS_EX_TRANSPARENT);

    SetLayeredWindowAttributes(Window,RGB(0,0,0),0,LWA_COLORKEY|LWA_ALPHA);

	Dialog->Show();
}

void TransDialog::Show(int left,int top,int right,int bottom){
    HWND Window = (HWND)Dialog->GetHWND();

    Dialog->SetSize(left,top,right-left,bottom-top);

    SetLayeredWindowAttributes(Window,RGB(0,0,0),128,LWA_COLORKEY|LWA_ALPHA);
}

void TransDialog::Hide(){
    HWND Window = (HWND)Dialog->GetHWND();

    SetLayeredWindowAttributes(Window,RGB(0,0,0),0,LWA_COLORKEY|LWA_ALPHA);
}

void TransDialog::OnClose(wxCloseEvent& event){
    //do nothing
}

TransDialog::~TransDialog()
{
	//(*Destroy(TransDialog)
	//*)
}
